/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2019, Mellanox Technologies. All rights reserved.
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */
#ifndef __GPIO_MLXBF_REGS_H__
#define __GPIO_MLXBF_REGS_H__

#ifdef __ASSEMBLER__
#define _64bit(x) x
#else /* __ASSEMBLER__ */
#define _64bit(x) x ## ULL
#endif /* __ASSEMBLER */

#include <linux/types.h>

#define GPIO_PIN_DIR_I 0x1040

#define GPIO_PIN_DIR_O 0x1048

#define GPIO_PIN_STATE 0x1000

#define GPIO_SCRATCHPAD 0x0020

#endif /* !defined(__GPIO_MLXBF_REGS_H__) */
